import { OnInit } from '@angular/core';
import { Subscription } from 'rxjs';
import { NgxLoadingSpinnerService } from './ngx-loading-spinner.service';
import * as i0 from "@angular/core";
export declare class NgxLoadingSpinnerComponent implements OnInit {
    private spinnerService;
    /**
      * @description Default loading spinner template
      * @memberof NgxLoadingSpinnerComponent
      */
    _template: string;
    /**
     * @description Loading text
     * @memberof NgxLoadingSpinnerComponent
     */
    _loadingText: string;
    /**
     * @description Defines threhold for not to diplay if time is less than 500ms
     * @memberof NgxLoadingSpinnerComponent
     */
    _threshold: number;
    /**
     * @description Defines timeout to hide after time 5000ms
     * @memberof NgxLoadingSpinnerComponent
     */
    _timeout: number;
    /**
     * @description Defines z-index property of the loading text
     * @memberof NgxLoadingSpinnerComponent
     */
    _zIndex: number;
    /**
     * @description Sets z-index for input text
     * @memberof NgxLoadingSpinnerComponent
     */
    set zIndex(value: number);
    /**
     * @description returns z-index for input text
     * @readonly
     * @memberof NgxLoadingSpinnerComponent
     */
    get zIndex(): number;
    /**
     * @description Accepts custom template
     * @memberof NgxLoadingSpinnerComponent
     */
    set template(value: string);
    /**
     * @description Gives the current template
     * @readonly
     * @memberof NgxLoadingSpinnerComponent
     */
    get template(): string;
    /**
     * @description Accepts loading text string
     * @memberof NgxLoadingSpinnerComponent
     */
    set loadingText(value: string);
    /**
     * @description Gives loading text
     * @readonly
     * @memberof NgxLoadingSpinnerComponent
     */
    get loadingText(): string;
    /**
     * @description Accepts external threshold
     * @memberof NgxLoadingSpinnerComponent
     */
    set threshold(value: number);
    /**
     * @description
     * @readonly
     * @memberof NgxLoadingSpinnerComponent
     */
    get threshold(): number;
    /**
     * @description Accepts external timeout
     * @memberof NgxLoadingSpinnerComponent
     */
    set timeout(value: number);
    /**
     * @description
     * @readonly
     * @memberof NgxLoadingSpinnerComponent
     */
    get timeout(): number;
    /**
     * Subscription
     * @memberof NgxLoadingSpinnerComponent
     */
    subscription: Subscription;
    /**
     * @description Show/hide spinner
     * @memberof NgxLoadingSpinnerComponent
     */
    showSpinner: boolean;
    /**
     * Constructor
     * @param spinnerService Spinner Service
     * @memberof NgxLoadingSpinnerComponent
     */
    constructor(spinnerService: NgxLoadingSpinnerService);
    ngOnInit(): void;
    /**
     * Destroy function
     * @memberof NgxLoadingSpinnerComponent
     */
    ngOnDestroy(): void;
    /**
     * Create service subscription
     * @memberof NgxLoadingSpinnerComponent
     */
    createServiceSubscription(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxLoadingSpinnerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxLoadingSpinnerComponent, "lib-ngx-loading-spinner", never, { "zIndex": "zIndex"; "template": "template"; "loadingText": "loadingText"; "threshold": "threshold"; "timeout": "timeout"; }, {}, never, never>;
}
